org.jetlang.web

## Interface HttpResponse

All Known Implementing Classes:
  HttpResponse.Decorator, HttpResponse.Default

    public interface HttpResponse

### Nested Class Summary

Nested Classes
`static class` `HttpResponse.Decorator`
`static class` `HttpResponse.Default`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`SendResult` `send(ByteBuffer fullResponse)`
`default SendResult` `sendResponse(int statusCode, String statusTxt, String contentType, byte[] content, Charset charset)`
`default SendResult` `sendResponse(int statusCode, String statusTxt, String contentType, KeyValueList headers, byte[] content, Charset charset)`
`default SendResult` `sendResponse(int statusCode, String statusTxt, String contentType, java.nio.file.Path resource, Charset charset)`
`default SendResult` `sendResponse(int statusCode, String statusTxt, String contentType, String content, Charset ascii)`
`default void` `sendWebsocketHandshake(String reply, KeyValueList additionalHeaders)`

### Method Detail

#### sendResponse

    default SendResult sendResponse(int statusCode,
                                    String statusTxt,
                                    String contentType,
                                    java.nio.file.Path resource,
                                    Charset charset)

#### sendResponse

    default SendResult sendResponse(int statusCode,
                                    String statusTxt,
                                    String contentType,
                                    String content,
                                    Charset ascii)

#### sendResponse

    default SendResult sendResponse(int statusCode,
                                    String statusTxt,
                                    String contentType,
                                    byte[] content,
                                    Charset charset)

#### sendResponse

    default SendResult sendResponse(int statusCode,
                                    String statusTxt,
                                    String contentType,
                                    KeyValueList headers,
                                    byte[] content,
                                    Charset charset)

#### send

    SendResult send(ByteBuffer fullResponse)

#### sendWebsocketHandshake

    default void sendWebsocketHandshake(String reply,
                                        KeyValueList additionalHeaders)